[L001]Literature Search

post
https://connect.patsnap.com/search/literature/query-search
Try in Sandbox

Search and query our global literature database by entering the title, abstract, author, and other details of the literature.

Note: A single call supports a maximum of 20 results and allows the use of an offset to retrieve later results. The maximum length for supported search text is 800 characters.

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
date_time
string[1714521600000 TO 1748011043000]
Publication timestamp range
limit
integer<int32>10
limit of returned response; must be <= 1,00
offset
integer<int32>-
offset value; limit + offset <= 10000
query_text
stringtitle:(car) and author:("haiyang") and abstract:(car) and publication:(car) and date_time:[1714521600000 TO 1748011043000]
You can search and query our global literature repository by entering document titles, abstracts, authors, and other metadata. Maximum Search Text Length: 800 characters. Support logic connector AND/OR Supported Search Fields: title: Document title abstract: Document abstract author: Author name date_time: Publication timestamp range publication: Journal name author Parameters need to be enclosed in double quotation marks
text
stringJournal of Personalized Medicine
The text input for literature search.
type
stringpublication
Supported text types for literature include: title: (literature title) abstract:(literature abstract) author:(literature author) publication:(literature publication) title/abstract:(literature title or abstract) all:(the above fields)

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
object-
response data
results
arrayLiteratureBaseResponse
result
doi
string10.3390/jpm13121685
DOI
title
array[ "Variability in Provider Assessment of Sepsis and Potential of Host Response Technology to Address this Dilemma—Results of an Online Delphi Study" ]
Title
author
array[ "Kraus, Chadd K", "O'Neal, Hollis R", "Ledeboer, Nathan A", "Rice, Todd W", "Self, Wesley H" ]
Author
paper_id
string938ad823-46f7-485b-959d-610a767e5a6e
Paper ID
result_count
integer<int32>10
Received result count
total_search_result_count
integer<int32>7113
Total search result count
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": {
    "results": [
      {
        "doi": "10.3390/jpm13121685",
        "title": [
          "Variability in Provider Assessment of Sepsis and Potential of Host Response Technology to Address this Dilemma—Results of an Online Delphi Study"
        ],
        "author": [
          "Kraus, Chadd K",
          "O'Neal, Hollis R",
          "Ledeboer, Nathan A",
          "Rice, Todd W",
          "Self, Wesley H"
        ],
        "paper_id": "938ad823-46f7-485b-959d-610a767e5a6e"
      }
    ],
    "result_count": 10,
    "total_search_result_count": 7113
  },
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200000API call exceeds the total limit set by the platform!
67200001API call exceeds the total limit set by the platform!
67200002The current call rate is too fast, exceeding the current configuration limit QPS!
67200003The key and secret parameters for applying for the token are incorrect or the client has been disabled!
67200004The requested api does not have permission. Please contact our support personnel!
67200005Insufficient account balance/number of calls!
67200006The client has exceeded the activation validity period!
67200007The current call exceeds the configured usage limit of the day!
67200008Please check if the required apikey in the query parameter has been transmitted!
67200009The apikey does not match the passed bearerToken. Please check if a valid token is being used!
67200012The request is illegal!
67200100The current server status is busy, request response timeout!
67200101The API requested currently does not exist. Please check the request path!

HTTP Status Codes

Status CodeDescription
0Success
201Created
401Unauthorized
403Forbidden
404Not Found

Performance Metrics

Expected performance characteristics for this endpoint

Normal Response Time

5000 ms

Max Response Time

10000 ms